This page describes Revolution release 149.
Search these docs, or ask Revo a question — answers link the pages they came from.
Attempts to initialise the specified devices. Returns a 200 if the request is successfully made. A websocket will notify the frontend when the devices are actually initialised.
POST
/api/v1/{tenantId}/system/initialise-devices
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” tenantId
required
string
Request Body
Section titled “Request Body ”object
tenantId
string
tenantUuid
string
deviceIds
Array<string>
action
string
Responses
Section titled “ Responses ”OK
object
unknownDeviceIds
Array<string>
skippedDeviceIds
Array<string>
Bad Request
object
message
string
code
string
retryable
boolean
field
string
data
Forbidden
object
message
string
code
string
retryable
boolean
field
string
data
Not Found
object
message
string
code
string
retryable
boolean
field
string
data
Conflict
object
message
string
code
string
retryable
boolean
field
string
data
Too Many Requests
object
message
string
code
string
retryable
boolean
field
string
data
Service Unavailable
object
message
string
code
string
retryable
boolean
field
string
data
Gateway Timeout
object
message
string
code
string
retryable
boolean
field
string
data